ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0016521ClearOSapp-network - Network Settingspublic2017-08-16 00:282017-09-02 16:39
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0016521: Webconfig does not recognise wls prefixed interfaces
DescriptionPlease see https://www.clearos.com/clearfoundation/social/community/running-7-3-home,-wifi-interface-is-not-showing-up-under-ip-setting-or-dhcp# [^]

A wireless card was added to ClearOS and given the interface name wls2. This is not allowed as a valid interface in Webconfig. See /usr/clearos/apps/network/libraries/Iface.php around line 1363.

One solution is to change:
preg_match('/^wlan/', $this->iface)
to
preg_match('/^wl/', $this->iface)

This would also obsolete the line:
preg_match('/^wlp/', $this->iface)

Alternatively just add the line:
preg_match('/^wls/', $this->iface)
Steps To ReproduceDifficult. You would need to find a wireless NIC/motherboard combination which would produce a wls* interface name.
TagsNo tags attached.
Attached Files

- Relationships
related to 0014211closeddloper Add wwanN as valid interface in network list 

-  Notes
(0006311)
pbaldwin (administrator)
2017-08-16 08:25

Ahhhh... the first two letters of physical interface names are important.

Two character prefixes based on the type of interface:
 * en -- ethernet
 * sl -- serial line IP (slip)
 * wl -- wlan
 * ww -- wwan

Details in this blog post - https://major.io/2015/08/21/understanding-systemds-predictable-network-device-names/ [^]

- Issue History
Date Modified Username Field Change
2017-08-16 00:28 NickH New Issue
2017-08-16 08:23 pbaldwin Assigned To => pbaldwin
2017-08-16 08:23 pbaldwin Status new => confirmed
2017-08-16 08:25 pbaldwin Note Added: 0006311
2017-08-16 08:25 pbaldwin Target Version => 7.4.0 Beta 1
2017-08-16 15:28 pbaldwin Relationship added related to 0014211
2017-08-16 15:28 pbaldwin Status confirmed => resolved
2017-08-16 15:28 pbaldwin Fixed in Version => 7.4.0 Beta 1
2017-08-16 15:28 pbaldwin Resolution open => fixed
2017-09-02 16:39 pbaldwin Status resolved => closed